package leigh.minecraft.link.faction;

public class ReputationLevels {
    public static int LEVEL_FRIENDLY = 3000;
    public static int LEVEL_EXALTED = 43000;

    String getDisplayText(int amount) {
        if (amount >= LEVEL_EXALTED) return "Exalted";
        if (amount >= 21000) return "Revered";
        if (amount >= 9000) return "Honored";
        if (amount >= LEVEL_FRIENDLY) return "Friendly";
        if (amount >= 0) return "Neutral";
        if (amount >= -3000) return "Unfriendly";
        if (amount >= -6000) return "Hostile";
        return "Hated";
    }
}
